#! /usr/bin/env bash

set -o errexit

#container=$(buildah from nvidia/cuda:10.1-base-ubuntu18.04)
container=$(buildah from nvidia/cuda:10.1-devel-ubuntu18.04)

buildah config --label maintainer="Suren A. Chilingaryan <csa@suren.me>" $container
buildah config --env LANG="C.UTF-8" --env LC_ALL="C.UTF-8" --env TERM="xterm" --env CIL_VERSION=19.10 --env HOME=/ccpi/data $container

buildah run $container sh -c 'echo "ssh:x:101:" >> /etc/group'
buildah run $container sh -c 'echo "messagebus:x:102:" >> /etc/group'
buildah run $container sh -c 'echo "rdma:x:103:" >> /etc/group'
buildah run $container sh -c 'echo "messagebus:x:101:102:messagebus:/dev/null:/sbin/nologin" >> /etc/passwd'

buildah run $container sh -c 'apt-get update --fix-missing && apt-get install -y bash wget bzip2 mc ca-certificates git'
buildah run $container sh -c 'apt-get install -y python3 python3-setuptools python3-pip cython3'
buildah run $container sh -c 'apt-get install -y cmake autoconf automake libtool libboost-all-dev'

buildah run $container sh -c 'update-alternatives --remove python /usr/bin/python2'
buildah run $container sh -c 'update-alternatives --install /usr/bin/python python /usr/bin/python3 10'

buildah copy $container pre-setup /root/pre-setup
buildah run $container pip3 install -r /root/pre-setup/requirements.txt

buildah copy $container setup /root/setup
buildah run $container bash /root/setup/repos.sh

buildah commit --format docker $container ccpi:latest



echo $container

